<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class() extends Migration {
	/**
	 * Run the migrations.
	 */
	public function up(): void
	{
		Schema::dropIfExists('users');
		Schema::create('users', function (Blueprint $table) {
			$table->increments('id');
			$table->string('username', 100)->unique();
			$table->string('password', 100);
			$table->boolean('upload')->default(false);
			$table->boolean('lock')->default(false);
			$table->rememberToken();
			$table->timestamps();
		});
	}

	/**
	 * Reverse the migrations.
	 */
	public function down(): void
	{
		Schema::dropIfExists('users');
	}
};
